summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2010-03-24 22:58:37 +0100
committerDieter Plaetinck <dieter@plaetinck.be>2010-03-24 22:58:37 +0100
commit936155177da8f0a66b88d68d2a3a81a5bf1e90b0 (patch)
tree2bcffcfa7df423b8867cc13e0074803d135f9682
parentd0ce45f7c93b8bd53e7898534cbb1bccf3e7fd74 (diff)
unbreak follow_progress syntax
-rw-r--r--lib-ui.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/lib-ui.sh b/lib-ui.sh
index 604d596..6e7f20f 100644
--- a/lib-ui.sh
+++ b/lib-ui.sh
@@ -243,10 +243,10 @@ ask_yesno ()
# $3 pid to monitor. if process stopped, stop following (only used in cli mode)
follow_progress ()
{
- [ -z "$1" ] && die_error "follow_progress needs a title!" [ -z "$2"
- ] && die_error "follow_progress needs a logfile to follow!"
- FOLLOW_PID= [ `type -t _${LIBUI_UI}_follow_progress` == function ]
- || die_error "_${LIBUI_UI}_follow_progress is not a function"
+ [ -z "$1" ] && die_error "follow_progress needs a title!"
+ [ -z "$2" ] && die_error "follow_progress needs a logfile to follow!"
+ FOLLOW_PID=
+ [ `type -t _${LIBUI_UI}_follow_progress` == function ] || die_error "_${LIBUI_UI}_follow_progress is not a function"
_${LIBUI_UI}_follow_progress "$@"
}